Skip to main content
POST
/
api
/
template
curl -X POST 'https://api.sendforsign.com/api/template' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "action": "duplicate",
        "clientKey": "YOUR_CLIENT_KEY",
        "template": {
            "templateKey": "YOUR_TEMPLATE_KEY"
        }
    }
}'
{
    "template": {
        "createTime": "2023-12-01 12:18:55",
        "templateKey": "NEW_TEMPLATE_KEY"
    },
    "code": "201",
    "message": "Template duplicated"
}
When duplicating a template, the placeholder structure is copied, but all placeholder values are cleared.

Body parameters

data
object
required

Response

template
string
Template structure.
code
string
The code of the answer.
message
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/template' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "action": "duplicate",
        "clientKey": "YOUR_CLIENT_KEY",
        "template": {
            "templateKey": "YOUR_TEMPLATE_KEY"
        }
    }
}'
{
    "template": {
        "createTime": "2023-12-01 12:18:55",
        "templateKey": "NEW_TEMPLATE_KEY"
    },
    "code": "201",
    "message": "Template duplicated"
}